<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/order_center_item_bg"
    android:padding="12dp"
    tools:ignore="HardcodedText">

    <!--本周收入-->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_income"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:paddingHorizontal="12dp"
        android:paddingBottom="16dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_weight="2"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_income"
            android:layout_width="20dp"
            android:layout_height="20dp"
            app:layout_constraintBottom_toBottomOf="@id/tv_income"
            app:layout_constraintEnd_toStartOf="@id/tv_income"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@id/tv_income"
            app:srcCompat="@drawable/common_wallet_bean_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_income"
            android:layout_width="wrap_content"
            android:layout_height="36dp"
            android:layout_marginStart="3dp"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:text="0"
            android:textColor="@color/color_FF1D2129"
            android:textSize="24sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/iv_income"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_income_desc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="4dp"
            android:layout_marginTop="6dp"
            android:ellipsize="end"
            android:gravity="center"
            android:includeFontPadding="false"
            android:maxLines="2"
            android:text="@string/common_this_week_income"
            android:textColor="@color/color_FF4E5969"
            android:textSize="14sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toStartOf="@id/iv_income_desc"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_income" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_income_desc"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_marginEnd="4dp"
            app:layout_constraintBottom_toBottomOf="@id/tv_income_desc"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/tv_income_desc"
            app:layout_constraintTop_toTopOf="@id/tv_income_desc"
            app:srcCompat="@drawable/common_go_ic" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <!--今日曝光-->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_exposure"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:paddingHorizontal="12dp"
        android:paddingBottom="16dp"
        app:layout_constraintEnd_toStartOf="@id/cl_user_push"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_income">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_exposure"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="3dp"
            android:layout_marginTop="4dp"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:text="0"
            android:textColor="@color/color_FF1D2129"
            android:textSize="18sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_exposure_desc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="2dp"
            android:ellipsize="end"
            android:gravity="center"
            android:includeFontPadding="false"
            android:maxLines="2"
            android:text="@string/common_today_exposure"
            android:textColor="@color/color_FF4E5969"
            android:textSize="12sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_exposure" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <View
        android:layout_width="1dp"
        android:layout_height="36dp"
        android:background="@color/color_FFD9D9D9"
        app:layout_constraintBottom_toBottomOf="@id/cl_exposure"
        app:layout_constraintStart_toEndOf="@id/cl_exposure"
        app:layout_constraintTop_toTopOf="@id/cl_exposure" />

    <!--本周收入-->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_user_push"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginEnd="16dp"
        android:paddingHorizontal="12dp"
        android:paddingBottom="16dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintStart_toEndOf="@id/cl_exposure"
        app:layout_constraintTop_toBottomOf="@id/cl_income">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_user_push"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="3dp"
            android:layout_marginTop="4dp"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:text="0"
            android:textColor="@color/color_FF1D2129"
            android:textSize="18sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_user_push_desc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="2dp"
            android:ellipsize="end"
            android:gravity="center"
            android:includeFontPadding="false"
            android:maxLines="2"
            android:text="@string/common_user_push"
            android:textColor="@color/color_FF4E5969"
            android:textSize="12sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toStartOf="@id/iv_visitor_desc"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_user_push" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_visitor_desc"
            android:layout_width="12dp"
            android:layout_height="12dp"
            app:layout_constraintBottom_toBottomOf="@id/tv_user_push_desc"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/tv_user_push_desc"
            app:layout_constraintTop_toTopOf="@id/tv_user_push_desc"
            app:srcCompat="@drawable/common_go_ic" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.Barrier
        android:id="@+id/barrier_bottom"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="bottom"
        app:constraint_referenced_ids="cl_income,cl_exposure,cl_user_push" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:minHeight="54dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/barrier_bottom">

        <com.adealink.weparty.commonui.widget.CommonButton
            android:id="@+id/btn_service"
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_service"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="3dp"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:text="@string/common_accept_order_open_service"
            android:textColor="@color/white"
            android:textSize="16sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toTopOf="@id/tv_service_tips"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_chainStyle="packed" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_service_tips"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="12dp"
            android:ellipsize="end"
            android:gravity="center"
            android:includeFontPadding="false"
            android:maxLines="2"
            android:singleLine="true"
            android:text="@string/common_accept_order_open_service_tips"
            android:textColor="@color/white"
            android:textSize="11sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_service" />

    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.constraintlayout.widget.ConstraintLayout>